Change log for avifile package in Ubuntu

135 of 35 results
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-07-26
Deleted in artful-proposed (Reason: moved to release)
avifile (1:0.7.48~20090503.ds-20) unstable; urgency=low

  * Bump Standards-Version to 4.0.0: nothing needs to be changed
  * Add debian/patches/reproducible-build.patch (Closes: #860203)
  * Fix spell error in README.debian
  * Fix debian/copyright for license short name

 -- Ying-Chun Liu (PaulLiu) <email address hidden>  Wed, 26 Jul 2017 01:18:07 +0800
Superseded in artful-release on 2017-07-26
Published in zesty-release on 2016-10-18
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
avifile (1:0.7.48~20090503.ds-19) unstable; urgency=low

  * Fix FTBFS with gcc6 (Closes: #811721)
    - debian/patches/port-to-gcc6.patch
  * Bump Standards-Version to 3.9.5: nothing needs to be changed
  * Fix crash when playing AVI files. Updated the following patches:
    - debian/patches/ffmpeg_2.9.patch
    - debian/patches/libav10.patch

 -- Ying-Chun Liu (PaulLiu) <email address hidden>  Tue, 16 Aug 2016 15:14:33 +0800
Superseded in yakkety-release on 2016-08-16
Deleted in yakkety-proposed on 2016-08-17 (Reason: moved to release)
avifile (1:0.7.48~20090503.ds-18build1) yakkety; urgency=medium

  * Rebuild for ffmpeg 3.0.

 -- Colin Watson <email address hidden>  Sat, 30 Apr 2016 14:43:42 +0100
Superseded in yakkety-release on 2016-05-05
Published in xenial-release on 2015-11-04
Deleted in xenial-proposed (Reason: moved to release)
avifile (1:0.7.48~20090503.ds-18) unstable; urgency=low

  * Fix FTBFS with FFmpeg 2.9 (Closes: #803801)
    - Thanks to Andreas Cadhalpun <email address hidden>
  * debian/copyright: Add DivX Open license (Closes: #801826)
    - Thanks to Dmitry Smirnov <email address hidden>

 -- Ying-Chun Liu (PaulLiu) <email address hidden>  Wed, 04 Nov 2015 14:40:38 +0800
Superseded in xenial-release on 2015-11-04
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
avifile (1:0.7.48~20090503.ds-17build1) wily; urgency=medium

  * No-change rebuild against ffmpeg 2.7

 -- Rico Tzschichholz <email address hidden>  Tue, 01 Sep 2015 17:59:04 +0200
Superseded in wily-release on 2015-09-02
Deleted in wily-proposed on 2015-09-03 (Reason: moved to release)
avifile (1:0.7.48~20090503.ds-17) unstable; urgency=low

  * Fix FTBFS for gcc 5.0 (Closes: #777790)
    - Update debian/patches/gcc45.patch for gcc 5.x
  * Bump Standards-Version to 3.9.5: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <email address hidden>  Mon, 29 Jun 2015 10:03:57 +0800
Superseded in wily-release on 2015-06-29
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
avifile (1:0.7.48~20090503.ds-16.2) unstable; urgency=medium


  * Non-maintainer upload.
  * Fix dpkg-maintscript-helper to handle symlink to directory conversion
    Closes: #771753
  * Pre-Depends: ${misc:Pre-Depends} also for *-bin, *-dev package

 -- Andreas Tille <email address hidden>  Fri, 12 Dec 2014 10:05:48 +0100
Superseded in vivid-release on 2014-12-13
Deleted in vivid-proposed on 2014-12-14 (Reason: moved to release)
avifile (1:0.7.48~20090503.ds-16.1) unstable; urgency=medium


  * Make the package binNMUable (Closes: #765669)
   + Use >= ${source:Version} instead of = ${source:Version}
   + Remove the dh_linkdoc any->all relation that doesn't work and add
     maintscript(s) to change symlink to docs

 -- Ondřej Surý <email address hidden>  Mon, 20 Oct 2014 13:27:50 +0200
Superseded in vivid-release on 2014-10-24
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
avifile (1:0.7.48~20090503.ds-15build1) utopic; urgency=medium

  * Rebuild against libav11.
 -- Colin Watson <email address hidden>   Thu, 04 Sep 2014 19:53:41 +0100
Superseded in utopic-release on 2014-09-05
Deleted in utopic-proposed on 2014-09-07 (Reason: moved to release)
avifile (1:0.7.48~20090503.ds-15) unstable; urgency=low


  * Bump Standards-Version to 3.9.5: nothing needs to be changed
  * Upload from experimental to unstable for libav10 transition.

 -- Ying-Chun Liu (PaulLiu) <email address hidden>  Mon, 12 May 2014 14:37:08 +0800
Superseded in utopic-release on 2014-07-29
Published in trusty-release on 2013-11-27
Deleted in trusty-proposed (Reason: moved to release)
avifile (1:0.7.48~20090503.ds-14build1) trusty; urgency=low

  * No-change rebuild for libav transition.
 -- Logan Rosen <email address hidden>   Sat, 09 Nov 2013 01:22:06 -0500
Superseded in trusty-release on 2013-11-27
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
avifile (1:0.7.48~20090503.ds-14) unstable; urgency=low


  * Port to libav9. (Closes: #692867)
    - debian/patches/fix-ftbfs-libav9.patch
  * Enable hardening.
  * Use dh-exec to handle Multi-Arch install.

 -- Ying-Chun Liu (PaulLiu) <email address hidden>  Sun, 02 Jun 2013 03:13:08 +0800
Superseded in saucy-release on 2013-06-02
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
avifile (1:0.7.48~20090503.ds-13ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/fix-ftbfs-libav9.patch: Update to new API.

Superseded in raring-release on 2013-03-19
Deleted in raring-proposed on 2013-03-20 (Reason: moved to release)
avifile (1:0.7.48~20090503.ds-12ubuntu1) raring; urgency=low

  * fix-ftbfs-libav9.patch: update to new API (Closes: #692867, LP: #1077231)
 -- Reinhard Tartler <email address hidden>   Fri, 09 Nov 2012 22:50:52 +0000
Superseded in raring-release on 2012-11-10
Obsolete in quantal-release on 2015-04-24
avifile (1:0.7.48~20090503.ds-12) unstable; urgency=low


  * Add ftbfs-gcc4.7.patch to fix FTBFS by gcc-4.7 (Closes: #667107)

 -- Ying-Chun Liu (PaulLiu) <email address hidden>  Wed, 09 May 2012 16:19:34 +0800
Superseded in quantal-release on 2012-05-20
Published in precise-release on 2012-01-22
avifile (1:0.7.48~20090503.ds-9.1) unstable; urgency=low


  * Non-maintainer upload.
  * Remove unnecessary build-dependency on libaudiofile-dev (Closes: #654737)

 -- Alessio Treglia <email address hidden>  Thu, 05 Jan 2012 15:16:03 +0100
Superseded in precise-release on 2012-01-22
avifile (1:0.7.48~20090503.ds-9) unstable; urgency=low

  * Add debian/patches/ftbfs-freebsd.patch: Fix FTBFS on FreeBSD platform

Superseded in precise-release on 2012-01-03
avifile (1:0.7.48~20090503.ds-7) unstable; urgency=low

  * QA upload.
  * Really disable MAD
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 09:10:25 +0000
Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
avifile (1:0.7.48~20090503.ds-6) unstable; urgency=low


  * QA upload.
  * Fix build with libav 0.7 (Closes: #640151)
  * Drop build dep on libmad-dev, this was only used for the now removed
    avifile player.	

 -- Moritz Muehlenhoff <email address hidden>  Sat, 03 Sep 2011 18:34:42 +0200
Superseded in oneiric-release on 2011-09-04
avifile (1:0.7.48~20090503.ds-5) unstable; urgency=low

  * Add build dependency on libxi-dev, which was formerly pulled
    in indirectly (Closes: #639199)
  * Add Breaks on old player binaries (Closes: #639256)

Superseded in oneiric-release on 2011-09-01
avifile (1:0.7.48~20090503.ds-3) unstable; urgency=low

  * QA upload.
  * Fix FTBFS with GCC4.5 (Closes: #564868).
  * debian/control:
    - Fix duplicate-in-relation-field in avifile-win32-plugin
      depends: ${shlibs:Depends}.
    - Fix debhelper-but-no-misc-depends avifile-win32-plugin.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  07 May 2011 09:26:40 +0000
Superseded in oneiric-release on 2011-05-07
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
avifile (1:0.7.48~20090503.ds-2build1) lucid; urgency=low

  * rebuild for ffmpeg versioned symbols
 -- Reinhard Tartler <email address hidden>   Tue, 19 Jan 2010 20:50:04 +0100
Superseded in lucid-release on 2010-01-19
avifile (1:0.7.48~20090503.ds-2) unstable; urgency=low

  * QA upload.
  * debian/source/format: New file; switch to source format 3.0 (quilt).
  * Add DEP-3 headers to all patches.
  * debian/control (Build-Depends): Drop quilt.
  * debian/rules: Remove patch/unpatch logic.
  * debian/patches/no-lame.patch: Split from autotools.patch as it is
    Debian-specific.
  * debian/patches/ftbfs-ia64.patch: New; fixes FTBFS on ia64.
  * debian/patches/series: Update.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  18 Dec 2009 06:42:45 +0000
Superseded in lucid-release on 2009-12-18
avifile (1:0.7.48~20090503.ds-1) unstable; urgency=low

  * QA upload.
  * New upstream release/snapshot:
    + No longer adds -ldts to Libs in the .pc file (Closes: #492040).
    + Includes some portability fixes, crossing fingers that it'll build
    on more archs (Closes: #206467).
  * Repackage the upstream tarball, removing the embedded copy of LAME
    (Closes: #538753).  While here, kill also the bundled ffmpeg copy
    and /debian.
  * debian/compat: New file.
  * debian/control: Wrap all fields for diff-friendliness.  Add
    ${misc:Depends} to all binary packages' Depends.
    (Section): Change to `libs' to match the override.
    (Maintainer): The package is orphaned (#540906), set to the Debian QA
    Group.
    (Standards-Version): Claim compliance with 3.8.3 as of this release.
    (Build-Depends): Bump debhelper to >= 7.  Remove ancient version from
    libqt3-mt-dev.  Replace automake1.9 with automake.  Remove autoconf,
    always pulled in by automake.  Remove libdts-dev; not needed.  Remove
    redundant gettext and patch.  Remove alternative dependency on
    pnmtopng, merged ages ago into netpbm.  Add quilt, libavformat-dev,
    libxxf86dga-dev and libxxf86vm-dev.
    (Homepage): New field.
    (Conflicts, Replaces, Suggests): Remove -- the former ancient, the
    latter not needed.
    (Description): s/x86 Linux/GNU/ -- should work on GNU/kFreeBSD too,
    and eventually on more archs.  Remove Homepage(s).
    (libavifile-0.7-dev) <Depends>: Use ${binary:Version} instead of
    ${Source-Version}.  Remove libxft-dev, libxrender-dev and
    libfontconfig1-dev, not required by the .pc file.
    <Section>: Change to `libdevel'.
    (avifile-mad-plugin, avifile-mjpeg-plugin, avifile-vorbis-plugin)
    (avifile-player, avidile-utils) <Section>: Change to `video'.
    (avifile-win32-plugin) <Section>: Change to contrib/video.
    <Architecture>: Add hurd-i386, thanks Samuel Thibault (Closes:
    #473414).
    (avifile-xvid-plugin, avifile-divx-plugin) <Section>: Change to
    contrib/video.
  * debian/rules: Use automatic variables where possible.  Include
    /usr/share/quilt/quilt.make.
    (DH_COMPAT, FFMPEG_CFLAGS): Do not define.
    (installprefix): Use $(CURDIR) instead of $(PWD).
    (CFLAGS, CXXFLAGS): Define to the common -Wall -g before the
    conditionals.
    (LDFLAGS): Define to -Wl,-z,defs -Wl,--as-needed.
    (debug, nostrip): Remove unnecessary conditionals.
    (CROSS): New conditionally defined variable to enter cross-compilation
    mode only when necessary, thanks Kumar Appaiah (Closes: #542527).
    (build): Depend on the patch target.
    (cleanB): Remove target.
    (clean-patched): New target; merge the recipe from clean and cleanB.
    Delete acinclude.m4.
    (configure-stamp): Change --disable-lame to --without-lame and
    --enable-lame-bin to --enable-lamebin following upstream change.  Pass
    CROSS, CFLAGS, CXXFLAGS, LDFLAGS and --with-mad-prefix=/usr to avoid
    building the bundled libmad.
    (install): Use the $(MAKE) variable instead of plain make.  Amend rule
    for the libqavm move.  Delete mandir from the library package.  Delete
    all .la files.
    (binary-arch): Remove cleanB from prerequisites.  Remove unnecessary
    dh_* commands.  Remove hardcoded libc6 in the plugins' shlibs:Depends,
    thanks Petr Salinger (Closes: #448736).  Don't pass -k to
    dh_installchangelogs.  Run dh_makeshlibs twice to avoid adding
    ldconfig calls in avifile-player's maintainer scripts.  Adjust
    dh_shlibdeps's arguments.
    (checkscripts, source, diff): Annihilate; useless targets.
  * debian/builddeb:
  * debian/Makefile.am:
  * debian/postinst:
  * debian/postrm:
  * debian/avifile-player.postinst:
  * debian/avifile-player.postrm: Delete.
  * debian/watch:
  * debian/README.source:
  * debian/patches/series: New file.
  * debian/patches/autotools.patch: New; make the build system work with
    current autotools and fix some linking issues (Closes: #553940).
  * debian/patches/ffmpeg.patch: New; various fixes to build and link with
    Debian's ffmpeg (Closes: #227408, #526536, #538750).
  * debian/patches/libqavm-private.patch: New; install libqavm in
    pkglibdir as it is a private library.
  * debian/patches/avifile-config.patch: New; don't exit with error code
    upon success, thanks James Westby and Lionel Le Folgoc (Closes:
    #489012).
  * debian/avifile-player.menu (section):
  * debian/avifile-utils.menu (section): Change to `Applications/Video'.
  * debian/avifile-player.dirs: Amend for pkglibdir.
  * debian/libavifile-0.7-dev.dirs: Remove usr/share/lintian/overrides.
  * debian/libavifile-0.7c2.lintian: Remove non-existent libraries.
  * debian/avifile-utils.lintian: Remove unused overrides, amend
    binary-or-shlib-defines-rpath for the 2 programs that link against
    libqavm.
  * debian/copyright: Add the GPL blurb and exclude ffmpeg copyrights as
    the bundled copy has been removed (Closes: #290069).
  * debian/README.debian: Correct the repositories for the Woe32 codecs,
    thanks Lionel Le Folgoc (Closes: #435169).
 -- Alessio Treglia <email address hidden>   Mon,  23 Nov 2009 23:38:33 +0000
Superseded in lucid-release on 2009-11-24
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
Obsolete in hardy-release on 2015-04-24
avifile (1:0.7.47.20070718-1.2ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/patches/01_fix-avifile-config-exit.diff: exit with the correct
    value.
    - Use quilt for the patch.

Superseded in hardy-release on 2008-01-15
Obsolete in gutsy-release on 2011-09-16
avifile (1:0.7.47.20070718-1ubuntu2) gutsy; urgency=low

  * debian/rules: pass '-s' to dh_{gencontrol,builddeb} to fix FTBFS on amd64.
  * debian/patches/01_fix-avifile-config-exit.diff: exit with the correct
    value.	(LP: #139670)
  * Use quilt for the patch.

 -- Lionel Le Folgoc <email address hidden>   Sun, 16 Sep 2007 13:08:10 +0200
Superseded in gutsy-release on 2007-09-16
avifile (1:0.7.47.20070718-1ubuntu1) gutsy; urgency=low

  * Merge with Debian Unstable, remaining Ubuntu changes:
    - Adhere to DebianMaintainerField spec
    - debian/README.Debian: update debian-multimedia repository apt lines.
    (LP: #38017).
  * Drop debian/patches/01_fix_non-template_pair_build_failure.diff, not
    needed anymore.
  * debian/control: add missing liba52-dev build dependency to fix FTBFS
    (see Debian #434202).

 -- Lionel Le Folgoc <email address hidden>   Sun, 29 Jul 2007 21:34:53 +0200
Superseded in gutsy-release on 2007-07-29
Obsolete in feisty-release on 2009-08-20
avifile (1:0.7.44.20051021-2.2ubuntu1) feisty; urgency=low

  * Rebuild against new libdirectfb-0.9-25. (LP: #95405)
  * Adhere to DebianMaintainerField.
  * debian/README.Debian: update debian-multimedia repository apt lines.
    (LP: #38017)
  * Use quilt patchsystem:
    + debian/patches/01_fix_non-template_pair_build_failure.diff: patch taken
      from Bug #395386 in Debian BTS to work around a bug of gcc
      (see http://gcc.gnu.org/bugzilla/show_bug.cgi?id=29469).

 -- Lionel Le Folgoc <email address hidden>   Sat, 31 Mar 2007 21:00:07 +0200
Superseded in feisty-release on 2007-03-31
avifile (1:0.7.44.20051021-2.2) unstable; urgency=low

  * NMU.
  * debian/control: Build-depend on only automake1.9. (Closes: #376333)

 -- Stephan Hermann <email address hidden>   Fri,  08 Dec 2006 10:21:43 +0000
Superseded in feisty-release on 2006-12-08
Obsolete in edgy-release on 2008-06-19
avifile (1:0.7.44.20051021-2.1ubuntu1) edgy; urgency=low

  * Merge from debian unstable.
  * Reverted the NMU man page patch from debian

Superseded in edgy-release on 2006-07-03
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
avifile (1:0.7.44.20051021-1ubuntu2) dapper; urgency=low


  * Rebuild because libXft.la is gone

 -- Stephan Hermann <email address hidden>  Sat, 14 Jan 2006 15:08:27 +0100
Superseded in dapper-release on 2006-01-31
avifile (1:0.7.44.20051021-1ubuntu1) dapper; urgency=low


  * switch back to the debian version of this package. In ubuntu, we already
    transitioned to libavifile-0.7, the debian maintainer has choosen
    libavifile-0.7c2 instead. So we need to Replace/Conflict against the 
    now obsolete 'libavifile-0.7' package

 -- Reinhard Tartler <email address hidden>  Sun, 27 Nov 2005 11:28:15 +0100
Obsolete in breezy-release on 2008-03-25
avifile (1:0.7.43.20050224-1ubuntu6) breezy; urgency=low


  * Fixed the conflicts...

 -- Sebastian Dröge <email address hidden>  Thu, 25 Aug 2005 00:21:54 +0200
Obsolete in hoary-release on 2008-03-19
avifile (1:0.7.38.20030710-1.2) unstable; urgency=low


  * NMU
  * Fix avifile.pc to return the right include path (Closes: #205203)
  * Add missin dependencies in the -dev package. libxft-dev libxrender-dev (Closes: #202992)
  * Apply a patch to fix build under amd64 (Closes: #253504)
  * Move the pkgconfig file to the -dev package nad add replaces.

 -- Christian Marillat <email address hidden>  Thu,  4 Nov 2004 16:23:45 +0100
Obsolete in warty-release on 2008-01-09
avifile (1:0.7.38.20030710-1.1) unstable; urgency=low


  * Non-maintainer upload (old RC bug).
  * debian/control:
    + Removed g++ from the build dependencies (build essential).
    + Removed deprecated conditional build dependencies (Closes: #245653).
    + Uncapitalised short descriptions.
    + Mention libavifile in the plugins' short descriptions.
    + Set the debhelper build dependency to (>= 2.0).
  * debian/avifile-utils.menu:
    + Quoted strings where appropriate.
  * autogen.sh:
    + Specifically call aclocal-1.4 and automake-1.4 because of
      incompatibilities with newer versions.
  * lib/video/sub_ft.cpp:
    + Fixed compilation with recent FreeType versions (Closes: #228072).
  * plugins/libwin32/loader/ldt_keeper.c:
    + Applied patch from Daniel Schepler which fixes another build issue.

 -- Sam Hocevar (Debian packages) <email address hidden>  Tue,  1 Jun 2004 04:15:30 +0200
135 of 35 results